import QtQuick 2.12
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3
import QtQuick.Window 2.3

Window {
	id: window
	visible: true
	flags: Qt.FramelessWindowHint
	width: 640
	height: 480

	function toggleMaximized() {
		if (window.visibility === Window.Maximized) {
			window.showNormal();
		} else {
			window.showMaximized();
		}
	}

	Page {
		anchors.fill: parent
		header: ToolBar {
			Item {
				anchors.fill: parent
				TapHandler {
					onTapped: if (tapCount === 2) toggleMaximized()
					gesturePolicy: TapHandler.DragThreshold
				}
				DragHandler {
					grabPermissions: TapHandler.CanTakeOverFromAnything
					onActiveChanged: if (active) { window.startSystemMove(); }
				}
				RowLayout {
					anchors.left: parent.left
					anchors.right: parent.right
					spacing: 3
					Layout.fillWidth: true
					Item { Layout.fillWidth: true }
					ToolButton {
						text: "MIN"
						onClicked: window.showMinimized();
					}
					ToolButton {
						text: window.visibility === Window.Maximized ? "RES" : "MAX"
						onClicked: window.toggleMaximized()
					}
					ToolButton {
						text: "CLO"
						onClicked: window.close()
					}
				}
			}
		}
	}
}
